Co bude v LibreOffice 4.4

Novinky LibreOffice 4.4 bude obsahovat spoustu novinek, z velké části implementovaných v rámci GSoC. Vydání se očekává na přelomu ledna a února 2015.  

V připravované verzi 4.4 kancelářského balíku LibreOffice nás čeká spousta zajímavých novinek. Mnoho jich implementovali studenti, kteří se účastnili různých projektů v rámci letošního Google Summer of Code pod vedením zkušených vývojářů LibreOffice.

Do této kategorie spadá například podpora Microsoft OneDrive a Microsoft SharePoint, import souborů z programu Adobe PageMaker, výběr šablon ve startovacím centru, vylepšený výběr grafických témat nebo nové GUI pro výběr barev.

Z dalších novinek lze zmínit například šablony pro hlavní dokument, textovou oblast v grafických tvarech, vylepšení přechodů mezi snímky v OpenGL, možnost chránit heslem proti úpravám dokumenty programů Impress a Draw, vylepšené ovládání nápovědy nebo podpora řady další multimediálních typů při vkládání do dokumentů.

Co naopak nemusí potěšit, je odstranění podpory zobrazování dokumentů ve webových prohlížečích prostřednictvím zastaralého a postupně opouštěného NPAPI.

Během tří týdnů bude k dispozici první alfaverze, ostré vydání LibreOffice 4.4 je plánováno na přelom ledna a února 2015.

(Jako ve škole) Průměr: 1.00 | Hodnotilo: 2
 

Komentáře

user avatar Petr Valach
Odpovědět
Co bude v LibreOffice 4.4
29. 09. 2014, 19:21:32
Mě hrozně rajcuje nový color picker, super!
user avatar j-pastierik
Odpovědět
Co bude v LibreOffice 4.4
4. 10. 2014, 09:56:22
Bolo by dobré, keby LO umožňovalo používanie rozšírení, ktoré sú určené pre Apache OO 4.x – https://wiki.openoffice.org/wiki/Talk:Extensions/Extensions_and_Apache_OpenOffice_4.0 a identifikácia LO ako „OpenOffice.org 4.0“
user avatar zvedavec
Odpovědět
Re:Co bude v LibreOffice 4.4
4. 10. 2014, 15:06:05
Rozsirenimi se moc nezabyvam, ale zajima me co pisete.

Znamena to, ze rozsireni by i fungovalo, ale problemem je identifikace baliku "vuci rozsireni"?
user avatar j-pastierik
Odpovědět
Re:Re:Co bude v LibreOffice 4.4
5. 10. 2014, 07:15:39
Celý problém je v dvoch veciach:
1. LO samo seba identifikuje ako „OpenOffice.org 3“ – takže treba, aby zmenilo svoju identifikáciu na „OpenOffice.org 4“.
2. V definícii panelov nástrojov je v Apache OO od verzie 4 tento riadok:
node oor:name="ToolBarItems"
a tomu zodpovedajúci koniec /node. Tento riadok treba akceptovať, že tam je (jedno rozšírenie ich môže obsahovať viac).

Iba z týchto dôvodov nie sú kompatibilné rozšírenia. Inak ani Apache OO nepozná panely nástrojov pre rozšírenia z verzií 3 (lebo nemajú uvedený riadok v definícii panelov nástrojov).

Nemožno však žiadať od programátorov, aby udržiavali dve verzie rozšírení navyše ak nemajú (ako napr. ja) nainštalovaný druhý balík (ja nemám nainštalovaný LO).

Přidat názor

 

Nejsou podporovány žádné značky, komentáře jsou jen čistě textové. Více o diskuzích najdete v nápovědě. Diskuzi můžete sledovat pomocí RSS kanálu.

 
Lukáš Jelínek

Lukáš Jelínek

Dlouholetý člen autorského týmu LinuxEXPRESu a OpenOffice.cz. Vystudoval FEL ČVUT v oboru Výpočetní technika. Žije v Kutné Hoře a podniká v oblasti informačních technologií. Ve volném čase rád fotografuje, natáčí a stříhá video, občas se věnuje powerkitingu a na prahu čtyřicítky začal hrát tenis.

 

Public Relations

Jak si zabezpečit servery?

DNSSECPokud chce moderní člověk plně využívat to, co mu virtuální svět internetu nabízí, musí se stále více orientovat na bezpečnost. Musí činit kroky, jež ho ochrání před riziky, jež se právě na této síti skrývají a dnes a denně uživatele ohrožují.

Pokračování ...


 
 
woo jaw demo hz